--- old/usr/src/common/zfs/zfs_prop.c	Mon Oct 29 18:19:31 2012
+++ new/usr/src/common/zfs/zfs_prop.c	Mon Oct 29 18:19:31 2012
@@ -362,6 +362,12 @@
 	zprop_register_number(ZFS_PROP_REFRESERVATION, "refreservation", 0,
 	    PROP_DEFAULT, ZFS_TYPE_FILESYSTEM | ZFS_TYPE_VOLUME,
 	    "<size> | none", "REFRESERV");
+	zprop_register_number(ZFS_PROP_DATASET_QUOTA, "dataset_quota", 0,
+	    PROP_DEFAULT, ZFS_TYPE_FILESYSTEM | ZFS_TYPE_VOLUME,
+	    "<count> | none", "DSQUOTA");
+	zprop_register_number(ZFS_PROP_SNAPSHOT_QUOTA, "snapshot_quota", 0,
+	    PROP_DEFAULT, ZFS_TYPE_FILESYSTEM | ZFS_TYPE_VOLUME,
+	    "<count> | none", "SSQUOTA");
 
 	/* inherit number properties */
 	zprop_register_number(ZFS_PROP_RECORDSIZE, "recordsize",
